/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   Cat.hpp                                            :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: adjoly <adjoly@student.42angouleme.fr>     +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2024/12/01 19:06:08 by adjoly            #+#    #+#             */
/*   Updated: 2024/12/06 16:08:59 by adjoly           ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#pragma once

#include "AAnimal.hpp"
#include "Brain.hpp"

class Cat : public AAnimal {
	private:
		Brain	*_brain;
	public:
		Cat(void);
		~Cat(void);
		Cat(const Cat &);
		Cat	&operator=(const Cat &);

		void		makeSound(void) const;
		void		setIdea(std::string, uint);
		std::string	getIdea(uint);
};
