/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   Dog.hpp                                            :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: adjoly <adjoly@student.42angouleme.fr>     +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2024/12/01 20:06:20 by adjoly            #+#    #+#             */
/*   Updated: 2024/12/06 16:08:53 by adjoly           ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#pragma once

#include "AAnimal.hpp"
#include "Brain.hpp"

class Dog : public AAnimal {
	private:
		Brain	*_brain;
	public:
		Dog(void);
		~Dog(void);
		Dog(const Dog &);
		Dog	&operator=(const Dog &);

		void		makeSound(void) const;
		void		setIdea(std::string, uint);
		std::string	getIdea(uint);
};
