/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   AMateria.hpp                                       :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: adjoly <adjoly@student.42angouleme.fr>     +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2024/12/06 16:29:29 by adjoly            #+#    #+#             */
/*   Updated: 2024/12/10 12:36:59 by adjoly           ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#pragma once

#include <string>

class ICharacter;

class AMateria {
	protected:
		std::string	_type;
	public:
		AMateria(void);
		~AMateria(void);
		AMateria(const AMateria &);
		AMateria(std::string const &);
		AMateria	&operator=(const AMateria &);

		std::string const	&getType() const;
		virtual AMateria	*clone() const = 0;
		virtual void		use(ICharacter&);
};
