/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   main.cpp                                           :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: adjoly <adjoly@student.42angouleme.fr>     +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2024/11/30 16:21:28 by adjoly            #+#    #+#             */
/*   Updated: 2024/12/06 16:02:36 by adjoly           ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "WrongAnimal.hpp"
#include "Cat.hpp"
#include "Dog.hpp"

int main() {
	{
		const Animal* meta = new Animal();
		const Animal* dog = new Dog();
		const Animal* cat = new Cat();

		log("✨", "Animal/Cat", "Type", cat->getType());
		log("✨", "Animal/Dog", "Type", dog->getType());
		cat->makeSound(); //will output the cat sound!
		dog->makeSound();
		meta->makeSound();

		delete meta;
		delete cat;
		delete dog;
	}
	{
		const WrongAnimal* meta = new WrongAnimal;
		const WrongAnimal* wrongcat = new WrongAnimal;

		log("✨", "Animal/WrongCat", "Type", wrongcat->getType());

		wrongcat->makeSound();

		delete meta;
		delete wrongcat;
	}

	return 0;
}
