/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   AAnimal.hpp                                        :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: adjoly <adjoly@student.42angouleme.fr>     +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2024/11/30 16:33:08 by adjoly            #+#    #+#             */
/*   Updated: 2024/12/06 16:24:03 by adjoly           ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#pragma once

#include <string>
#include "Log.hpp"

class	AAnimal {
	protected:
		std::string	_type;

	public:
		AAnimal(void);
		AAnimal(std::string);
		virtual ~AAnimal(void);
		AAnimal(const AAnimal &);
		virtual AAnimal		&operator=(const AAnimal &);

		virtual std::string	getType(void) const;

		virtual void		makeSound(void) const = 0;
};
